Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server Web Services Java API Reference 10g Release 3 (10.1.3) B25988-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.webservices.provider
Class MessageContext

`java.lang.Object
oracle.webservices.provider.MessageContext`

public class MessageContext
extends Object

A class containing message properties. These properties are updated on every call to processMessage(). The MessageContext class also defines all transport agnostic message properties (of which there are none at this point). For transport specific message properties, see `oracle.webservices.provider.transport.HTTPConstants`.

Constructor Summary
`MessageContext()`

Method Summary
`boolean` | `containsProperty(String name)` Determine if the MessageContext contains a property with the specified name.
`Object` | `getProperty(String name)` Get the value of a specific property.
`Iterator` | `getPropertyNames()` Return an Iterator view of all property names.
`void` | `removeProperty(String name)` Remove a specific property (name-value pair).
`void` | `setProperty(String name, Object value)` Set the name and value of a property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageContext

    public MessageContext()

Method Detail

### containsProperty

    public boolean containsProperty(String name)

  Determine if the MessageContext contains a property with the specified name.
  Parameters:
    `name` - Property name
  Returns:
    true if the MessageContext contains a property named `name`.

### getProperty

    public Object getProperty(String name)

  Get the value of a specific property.
  Parameters:
    `name` - the property name.
  Returns:
    the value of the property, null if the property has not been set.

### getPropertyNames

    public Iterator getPropertyNames()

  Return an Iterator view of all property names.
  Returns:
    iterator with property names.

### removeProperty

    public void removeProperty(String name)

  Remove a specific property (name-value pair).
  Parameters:
    `name` - the name of the property to be removed.

### setProperty

    public void setProperty(String name,
                            Object value)

  Set the name and value of a property.
  Parameters:
    `name` - the name of the property.
    `value` - the value of the property, which is an Object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright © 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD